from fastapi import APIRouter
from .api import router as api_router
from .ui import router as ui_router

router = APIRouter()

router.include_router(api_router, prefix="/api", tags=["API"])
router.include_router(ui_router, tags=["UI"])


@router.get("/test")
async def root():
    from db.schemas.signings import Signing
    from utils import logger

    singing = await Signing.getSigningById(16)

    return singing
